Skip to main content

LDAP User Synchronization

Use this API to synchronize the user details from LDAP.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/users/{userid}/ldap/sync

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_user/{userid}/ldap/sync
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataArrayList of all user details. Refer Data Representation for details.

Sample Response​

{
"message": "User info fetched successfully",
"status": "Success",
"subSystem": 5,
"data": {
"username": "demo",
"email": "demo@gmail.com",
"firstName": "test",
"lastName": "user",
"enabled": true,
"emailVerified": true,
"attributes": {
"phone_number_region": [
"in"
],
"temp_new_email": [
"demologin@gmail.com"
],
"phone_number_type": [
"MOBILE"
],
"phone_number_lastupdated_timestamp": [
"1615198834"
],
"phone_number_verified": [
"true"
],
"phone_number": [
"+91123456789"
],
"phone_number_verified_timestamp": [
"1615198846"
],
"email_lastupdated_timestamp": [
"1614800192"
]
},
"requiredActions": [],
"admin": true
}
}

Data Representation​

Field NameTypeDescription
usernameStringName of the user
emailStringemail id of the user
firstNameStringFirst name of the user
lastNameStringLast name of the user
enabledBooleanIndicates whether the user is enabled or not. true = enable & false = disable, Defaults to true.
emailVerifiedBooleanIs this enabled or not? true = enable & false = disable, Defaults to true.
attributesListBased on the user requirement the user attributes can be updated. User can add any customized attribute in form of key value pair.
requiredActionsList(String)List the actions which need to be performed during initial login. Refer Required Actions to know the supported actions.
adminBooleanIf set to true the user has admin role mapped, else not.

Response Status Information​

Status CodeStatusMessage
200SuccessUser info fetched successfully
400BAD_REQUESTUserID should not be null or empty
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist